REST v1-only operations
Create Grant For New Hire
Creates a person, role and token grant with vesting schedule for a new hire in one call.
POSThttps://api.toku.com/platform/create-grant-for-new-hire
Not available to API keys yet. It will need grants:write.
curl --request POST \
--url 'https://api.toku.com/platform/create-grant-for-new-hire' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"tokenTypeID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"pricePerUnit": "string",
"email": "string",
"givenName": "string",
"familyName": "string",
"employmentType": "CONTRACTOR",
"grantName": "string",
"grantDescription": "string",
"grantConfigurationID": "string",
"grantAmount": 0,
"vestingStartDate": "2026-01-01T00:00:00Z",
"vestingFrequencyType": "MONTHLY",
"vestingCliffPercentage": 0,
"vestingCliffPeriods": 0,
"vestingPeriods": 0,
"lockup": 0,
"isSection83bElectionEligible": true,
"offPlatformDate": "2026-01-01T00:00:00Z",
"tags": [
"string"
]
}'200 response
{
"grantID": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
tokenTypeIDstring | null<uuid>pricePerUnitstring<decimal>Allowed: matches ^-?[0-9]+(\.[0-9]+)?$
emailstringrequiredgivenNamestringrequiredfamilyNamestringrequiredemploymentTypestring | nullgrantNamestringrequiredgrantDescriptionstringrequiredgrantConfigurationIDstringrequiredgrantAmountnumberrequiredvestingStartDatestring<date-time>requiredvestingFrequencyTypestringrequiredAvailable options: MONTHLY, QUARTERLY, SEMIANNUALLY, YEARLY, CUSTOM, DAILY, WEEKLY
vestingCliffPercentagenumberrequiredvestingCliffPeriodsnumberrequiredvestingPeriodsnumberrequiredlockupnumberrequiredisSection83bElectionEligibleboolean | nulloffPlatformDatestring | null<date-time>tagsstring[]requiredResponse
200Successful response
grantIDstringrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits